## wavenc wavenc — Encode raw audio into WAV |

## Types and Values

struct | GstWavEnc

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstWavEnc

## Description

Format a audio stream into the wav format.

## Synopsis

### Element Information

plugin | wavenc
author | Iain Holmes <iain@prettypeople.org>
class | Codec/Muxer/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw-int, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2 ], endianness=(int)1234, width=(int)32, depth=(int)32, signed=(boolean)true
| audio/x-raw-int, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2 ], endianness=(int)1234, width=(int)24, depth=(int)24, signed=(boolean)true
| audio/x-raw-int, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2 ], endianness=(int)1234, width=(int)16, depth=(int)16, signed=(boolean)true
| audio/x-raw-int, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2 ], width=(int)8, depth=(int)8, signed=(boolean)false
| audio/x-raw-float, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2 ], endianness=(int)1234, width=(int){ 32, 64 }
| audio/x-alaw, rate=(int)[ 8000, 192000 ], channels=(int)[ 1, 2 ], width=(int)8, depth=(int)8, signed=(boolean)false
| audio/x-mulaw, rate=(int)[ 8000, 192000 ], channels=(int)[ 1, 2 ], width=(int)8, depth=(int)8, signed=(boolean)false

name | src
direction | source
presence | always
details | audio/x-wav

## Functions

## Types and Values

### struct GstWavEnc

    struct GstWavEnc;